var topBarType = '';
var topBarClass = '';
var NOTIFY_getnumcount=0;

function TOPBAR_show(type, d_class, now_class){
  if( undefined == now_class ) {
    var now_class = ' topbnow';
  }

  //打開
  if('none' == $('#topBarMsg_'+type).css('display')){

    //關閉先前的div
    if(type != topBarType){
      $('#topBar_'+topBarType).attr('className', topBarClass);
      $('#topBarMsg_'+topBarType).css('display','none');
    }

    //開起div
    $('#topBar_'+type).attr('className', d_class+now_class);
    $('#topBarMsg_'+type).css('display','block');

    //div中未有資料或light_0~light_2有新訊息，則重新要資料
    if('' == $('#topBarMsg_'+type).html() || '<span>' == $('#topBar_'+type).html().substr(0,6)){

/*
      if('more' == type){
	BAHAID = getCookie( 'BAHAID' );
	$('#topBarMsg_'+type).attr('className', 'TOP-msg TOP-more');
	$('#topBarMsg_'+type).html('<span>'+BAHAID+'</span><!--[if (IE 7)|(IE 8)]><style type="text/css">.TOP-msglist{ max-height:450px;}</style><![endif]--><a href="http://avatar1.gamer.com.tw">勇者造型</a><a href="http://home.gamer.com.tw/setting.php">個人設定</a><a href="http://home.gamer.com.tw/bookmark.php?owner='+BAHAID+'">收藏設定</a><a href="http://user.gamer.com.tw/logout.php">登出</a>');
      }
*/
      if('more' == type){
        menu_content = '';

        if(BAHAID){
        menu_content += '<span>'+BAHAID+'</span>';
        }
        menu_content += '<!--[if (IE 7)|(IE 8)]><style type="text/css">.TOP-msglist{ max-height:450px;}</style><![endif]-->';
        menu_content += '<div class="TOP-msglist TOP-more" id="topBarMsgList_more"><!--列表開始-->';
        
        if(BAHAID){
        menu_content += '<ul>';
        menu_content += '<li><a href="http://home.gamer.com.tw/setting.php"><img src="http://i2.bahamut.com.tw/top_setting.gif">個人設定</a></li>';
        menu_content += '<li><a href="http://home.gamer.com.tw/bookmark.php?owner='+BAHAID+'"><img src="http://i2.bahamut.com.tw/top_collect.gif">收藏設定</a></li>';
        menu_content += '</ul>';
        }
        
        menu_content += '<p>站上服務</p>';
        menu_content += '<ul>';
        menu_content += '<li><a href="http://gnn.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-08">GNN新聞</a></li>';
        menu_content += '<li><a href="http://forum.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-02">哈啦區</a></li>';
        menu_content += '<li><a href="http://prj.gamer.com.tw/app2u/bahaapp.html"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-25">ＡＰＰ</a></li>';
        menu_content += '<li><a href="http://play.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-20">直接玩</a></li>';
        menu_content += '<li><a href="http://gnn.gamer.com.tw/gamecrazy.php"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-07">電玩瘋</a></li>';
        menu_content += '<li><a href="http://guild.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-05">公會大廳</a></li>';
        menu_content += '<li><a href="http://home.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-04">創作大廳</a></li>';
        menu_content += '<li><a href="http://home.gamer.com.tw/liveindex.php"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-26">實況大廳</a></li>';
        menu_content += '<li><a href="http://avatar1.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-11">勇者造型</a></li>';
        menu_content += '<li><a href="http://buy.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-12">巴哈商城</a></li>';
        menu_content += '<li><a href="http://user.gamer.com.tw/active/"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-23">勇者狩獵村</a></li>';
        menu_content += '<li><a href="http://fuli.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-22">巴幣福利社</a></li>';
        menu_content += '<li><a href="http://prj.gamer.com.tw/acgaward"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-21">ACG創作大賽</a></li>';
        menu_content += '<li><a href="http://user.gamer.com.tw"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-13">會員中心</a></li>';
        menu_content += '</ul>';
        menu_content += '<p>平台專區</p>';
        menu_content += '<ul>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=olg"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA1">線上遊戲</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=pc"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA19">PC GAME</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=web"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA20">WebGAME</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=ps4"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GB1">PS4</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=ps3"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA4">PS3</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=wiiu"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA30">Wii U</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=xbone"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GB2">XboxOne</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=xbox360"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA6">Xbox360</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=3ds"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA27">3DS</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=psv"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA31">PSV</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=ios"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA24">iOS</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=android"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GA25">Android</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=anime"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GAC">動畫</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=comic"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GAC">漫畫</a></li>';
        menu_content += '<li><a href="http://acg.gamer.com.tw/news.php?p=novel"><img src="http://i2.bahamut.com.tw/bit.gif" class="IMG-GAC">輕小說</a></li>';
        menu_content += '</ul>';
        
        menu_content += '</div><!--列表結束-->';
        if(BAHAID){
        menu_content += '<p class="TOP-msgbtn"><a href="https://user.gamer.com.tw/logout.php">登出</a></p>';
        }

        $('#topBarMsg_'+type).attr('className', 'TOP-msg');
        $('#topBarMsg_'+type).css('width', '207px');
        $('#topBarMsg_'+type).css('max-width', '835px');
        $('#topBarMsg_'+type).html(menu_content);

      }
      else{
	$.ajax({
	  url:'/ajax/topBar_AJAX.php',
	  param:'type=' + type,
	  method:'GET',
	  success:function(rdata){
	    switch(type){

	      case 'forum':
		$('#topBarMsg_'+type).attr('className', 'TOP-msg');
		$('#topBarMsg_'+type).css('max-width', '835px');
		if(rdata){
                  device_width = (window.innerWidth > 0) ? window.innerWidth : screen.width;
                  max_width = (device_width<=1024)? 635:835;

		  n = rdata.match(/<a href/gi).length;
		  length_px = (n<=20)? 430:Math.ceil(n/10) * 215;
		  length_px = (length_px < max_width)? length_px:max_width;
		  $('#topBarMsg_'+type).css('width', length_px+'px');
		  $('#topBarMsg_'+type).html('<span>我曾訂閱的看板</span><!--[if (IE 7)|(IE 8)]><style type="text/css"> .TOP-msglist{ max-height:450px;}</style><![endif]--><div class="TOP-msglist TOP-board" id="topBarMsgList_'+type+'">'+rdata+'</div><p class="TOP-msgbtn"><a href="http://home.gamer.com.tw/forumFavSet1.php" target="_blank">編輯/刪除看板</a><a href="http://forum.gamer.com.tw">前往哈啦區</a></p></div>');
		}
		else{
		  $('#topBarMsg_'+type).html('<span>最近瀏覽的看板</span><div class="TOP-msglist"><p style="text-align:center; padding:10px;">沒有訂閱的看板</p></div><p class="TOP-msgbtn"><a href="http://wiki2.gamer.com.tw/wiki.php?n=13710:%E8%A8%82%E9%96%B1%E7%9C%8B%E6%9D%BF&ss=13710&f=M">如何訂閱？</a>　<a href="http://forum.gamer.com.tw">前往哈啦區</a></p>');
		}
	      break;

	      case 'api':
		$('#topBarMsg_'+type).attr('className', 'TOP-msg');
		$('#topBarMsg_'+type).css('max-width', '835px');
		$('#topBarMsg_'+type).html('<span>最近玩過</span><!--[if (IE 7)|(IE 8)]><style type="text/css">.TOP-msglist{ max-height:450px;}</style><![endif]--><div class="TOP-msglist" id="topBarMsgList_'+type+'">'+rdata+'</div><p class="TOP-msgbtn"><a href="http://play.gamer.com.tw">看更多</a></p>');
	      break;

	      case 'guild':
		$('#topBarMsg_'+type).attr('className', 'TOP-msg');
		if(rdata){
		  $('#topBarMsg_'+type).html('<span>公會社團</span><!--[if (IE 7)|(IE 8)]><style type="text/css">.TOP-msglist{ max-height:450px;}</style><![endif]--><div class="TOP-msglist" id="topBarMsgList_'+type+'"><input type="hidden" id="sendingMsg" value="0">'+rdata+'</div><p class="TOP-msgbtn"><a href="http://home.gamer.com.tw/joinGuild.php">參加的公會社團</a><a href="http://guild.gamer.com.tw">公會大廳</a><a href="http://wiki2.gamer.com.tw/wiki.php?n=13710:%E5%85%AC%E6%9C%83%E7%A4%BE%E5%9C%98%E7%9A%84%E5%89%B5%E7%AB%8B&ss=13710">創建說明</a></p>');
		}
		else{
		  $('#topBarMsg_'+type).html('<span>公會社團</span><div class="TOP-msglist"><p style="text-align:center; padding:10px;">您還沒有加入任何公會社團喔！<br />觀看<a href="http://wiki2.gamer.com.tw/wiki.php?n=13710:%E5%85%AC%E6%9C%83%E7%A4%BE%E5%9C%98%E7%9A%84%E5%89%B5%E7%AB%8B&ss=13710" target="_blank">創建說明</a>或前往<a href="http://guild.gamer.com.tw/" target="_blank">公會大廳</a></p></div>');
		}
	      break;

	      case 'light_0':
	      case 'light_1':
	      case 'light_2':
		$('#topBar_'+type).html('');
		$('#topBarMsg_'+type).attr('className', 'TOP-msg');
		switch(type){
		  case 'light_0': title = '通知'; code='A'; break;
		  case 'light_1': title = '訂閱'; code='B'; break;
		  case 'light_2': title = '推薦'; code='C'; break;
		}

		//設定更新的資料
		$('#topBarMsg_'+type).html('<span>'+title+'</span><!--[if (IE 7)|(IE 8)]><style type="text/css">.TOP-msglist{ max-height:450px;}</style><![endif]--><div class="TOP-msglist" id="topBarMsgList_'+type+'">'+rdata+'</div><p class="TOP-msgbtn"><a href="http://home.gamer.com.tw/notifylist.php?t='+code+'">看所有通知</a><a href="http://home.gamer.com.tw/setFavorite1.php#anc_notifyset">設定</a></p>');

	      break;
	    }
	  }
	});
      }
    }

    topBarType = type;
    topBarClass = d_class;
  }
  //關閉
  else{
    $('#topBar_'+type).attr('className', d_class);
    $('#topBarMsg_'+type).css('display','none');
  }
}


function NOTIFY_getnum(now_class,defaultnum){
  if( undefined == now_class ) {
    var now_class = new Array(' topbnow2',' topbnow2',' topbnow2');
  }

  if( undefined == defaultnum ) {
    var now = new Date();
    egg.ajax({
      url:'/ajax/notify.php',
      param:'a=1&time=' + now.getTime(),
      method:'GET',
      success:function(rdata){ NOTIFY_shownum(rdata,now_class); }
    });
  }else{
    NOTIFY_shownum(defaultnum,now_class);
  }

  if( NOTIFY_getnumcount < 60 ) {
    NOTIFY_getnumcount++;
  }else{
    clearInterval(run30);
  }
}

function NOTIFY_shownum(data,now_class) {
  lightAry = data.split(',');
  for(i=0; i<=2; i++){
    j=i+1;
    if(lightAry[i] > 0){
      egg('#topBar_light_'+i).attr('className', 'topb'+j+now_class[i]);
      egg('#topBar_light_'+i).html('<span>'+lightAry[i]+'</span>');
    }else{
      nowTabLight = 'light_'+i;
      if(topBarType != nowTabLight){
        egg('#topBar_light_'+i).attr('className', 'topb'+j);
        egg('#topBar_light_'+i).html('');
      }
    }
  }
}


function NOTIFY_onoff(c, t){
  var now = new Date();

  $.ajax({
    url:'/ajax/notify.php',
    param:'a=3&c='+c+'&t='+t+'&time=' + now.getTime(),
    method:'GET',
    success:function(rdata){
      onoff = (t+1)%2;
      alt = (1 == onoff)? "停止這則通知":"開啟這則通知";

      if( $('#icon_'+c) ){
	//$('#icon_'+c).html('<a id="icon_'+c+'" href="javascript:NOTIFY_onoff(\''+c+'\', '+onoff+')"><img src="http://i2.bahamut.com.tw/notify_onoff_0_'+onoff+'.gif" title="'+alt+'" /></a>');
        $('#icon_'+c).attr('href','javascript:NOTIFY_onoff(\''+c+'\', '+onoff+')');
	$('#icon_'+c).html('<img src="http://i2.bahamut.com.tw/notify_onoff_0_'+onoff+'.gif" title="'+alt+'" />');
      }

      if( $('#icon2_'+c) ){
	//$('#icon2_'+c).html('<a id="icon2_'+c+'" href="javascript:NOTIFY_onoff(\''+c+'\', '+onoff+')"><img src="http://i2.bahamut.com.tw/notify_onoff_0_'+onoff+'.gif" title="'+alt+'"/></a>');
	$('#icon2_'+c).attr('href', 'javascript:NOTIFY_onoff(\''+c+'\', '+onoff+')');
	$('#icon2_'+c).html('<img src="http://i2.bahamut.com.tw/notify_onoff_0_'+onoff+'.gif" title="'+alt+'"/>');
      }

    }
  });

}


function NOTIFY_follow(f_type, f_uid, follow){
  var now = new Date();
  ch_follow = (1+follow)%2;

  $.ajax({
    url:'/ajax/setFollow_AJAX.php',
    param:'at='+f_type+'&fid='+f_uid+'&at_v='+ch_follow+'&time=' + now.getTime(),
    method:'POST',
    success:function(rdata){
      var errNodes = rdata.getElementsByTagName('errMsg');
      if(errNodes.length){
	alert(errNodes[0].firstChild.nodeValue);
      }
      else if('success' === rdata.getElementsByTagName('fin')[0].firstChild.nodeValue){
	  if(1 == f_type){ f_title = '哈啦區發表'; }
	  if(2 == f_type){ f_title = '創作'; }
	  if(3 == f_type){ f_title = '推薦'; }
          if(4 == f_type){
            f_alt = (1 == ch_follow)? '停止此作品所有訊息':'恢復此作品所有訊息';
          }else{
	    f_alt = (1 == ch_follow)? '取消訂閱他的'+f_title:'訂閱他的'+f_title;
          }

	  //$('[name=follow_'+f_type+'_'+f_uid+']').html('<a name="follow_'+f_type+'_'+f_uid+'" href="javascript:NOTIFY_follow(\''+f_type+'\', \''+f_uid+'\', '+ch_follow+')"><img src="http://i2.bahamut.com.tw/notify_onoff_1_'+ch_follow+'.gif" title="'+f_alt+'" /></a>');
	  $('[name="follow_'+f_type+'_'+f_uid+'"]').attr('href', 'javascript:NOTIFY_follow(\''+f_type+'\', \''+f_uid+'\', '+ch_follow+')');
	  $('[name="follow_'+f_type+'_'+f_uid+'"]').html('<img src="http://i2.bahamut.com.tw/notify_onoff_1_'+ch_follow+'.gif" title="'+f_alt+'" />');

	  //$('[name=follow2_'+f_type+'_'+f_uid+']').html('<a name="follow_'+f_type+'_'+f_uid+'" href="javascript:NOTIFY_follow(\''+f_type+'\', \''+f_uid+'\', '+ch_follow+')"><img src="http://i2.bahamut.com.tw/notify_onoff_1_'+ch_follow+'.gif" title="'+f_alt+'" /></a>');
	  $('[name="follow2_'+f_type+'_'+f_uid+'"]').attr('href', 'javascript:NOTIFY_follow(\''+f_type+'\', \''+f_uid+'\', '+ch_follow+')');
	  $('[name="follow2_'+f_type+'_'+f_uid+'"]').html('<img src="http://i2.bahamut.com.tw/notify_onoff_1_'+ch_follow+'.gif" title="'+f_alt+'" />');

      }
    }
  });
}


function TOPBAR_stopWheel(e){
  if('block' == $('#topBarMsg_'+topBarType).css('display')){
    if(!e){ e = window.event; }

    var rolled = 0;
    if('wheelDelta' in e){
      rolled = e.wheelDelta;
    }
    else {  // Firefox
      // The measurement units of the detail and wheelDelta properties are different.
      rolled = -40 * e.detail;
    }

    $('#topBarMsgList_'+topBarType).attr('scrollTop', ($('#topBarMsgList_'+topBarType).attr('scrollTop') + rolled * -1) );
    if(e.preventDefault) { e.preventDefault(); }
    e.returnValue = false;
  }
}


function topGuild_enterkey(e, obj, gsn){
  e = window.event || e;
  var code = (egg.browser.ie)?e.keyCode:e.which;
  var limit = 600;
  if ( 13 == code && !e.shiftKey){
    topGuild_checkMsg(gsn);

    //取消換行這個操作
    if(e.preventDefault){
      e.preventDefault();
    }
    else{
      e.returnValue=false;
    }
  }else{
    countLimit(obj, limit);
    if(obj.clientHeight < obj.scrollHeight){
      obj.style.height = obj.scrollHeight+'px';
    }
  }
}

function countLimit(txt,limit){
  if(txt.value.length > limit ) alert('字數超過'+limit+'個字了喔～');
}

function topGuild_checkMsg(gsn){
  if( $('#topGuild_msgtalk_'+gsn).val().utf8Length() > 1800 ){
    alert('只能寫600個字喔!');
    return false;
  }

  if( '' == $('#topGuild_msgtalk_'+gsn).val().replace(/(^\s*)|(\s*$)/g, "") ){
    alert('不能空白!');
    return false;
  }

  if( '1' == $('#sendingMsg').val() ){
    alert('處理中請稍候！');
    return false;
  }

  $('#sendingMsg').val('1');
  secret = (true == $('#topGuild_privacy_'+gsn).attr('checked'))? 1 : 0;

  $.ajax({
    url: '/ajax/guildMsgNew.php',
    method: 'POST',
    param: 'msg='+ encodeURIComponent($('#topGuild_msgtalk_'+gsn).val())+'&status='+secret+'&flag=0&sf='+gsn,
    success: function(xmldoc){
      var nodes = xmldoc.getElementsByTagName('errMsg');
      if(nodes.length){
        $.msgbox(nodes[0].firstChild.nodeValue);
      }
      else{
        $.msgbox('您的公會訊息已送出!');
        $('#topGuild_msgtalk_'+gsn).val('');
      }
      $('#sendingMsg').val('0');  
      $('#topGuild_msgtalk_'+gsn).css('height','32px');
    }
  });

}

function topNotify_follow(owner, c1, c2, c3, c4, c5){
  if( '' == $.cookie.get('BAHAID') || 'guest' == $.cookie.get('BAHAID') ){
    $.mutbox('請先登入才能進行此動作', '訊息', {'確定':function(){location.href='https://user.gamer.com.tw/login.php';}});
    return;
  }

  c1 = c1 || 'checked';
  c2 = c2 || 'checked';
  c3 = c3 || 'checked';
  c4 = c4 || 'checked';
  c5 = c5 || 'checked';

  var content = '';

  content +='<form action="" method="POST" name="notifyfollow">';
  content +='<table border="0" width="400px">';
  content +='<tr>';
  content +='<td><input name="c1" type="checkbox" value="1" '+c1+'/>叭啦叭啦</td>';
  content +='<td><input name="c2" type="checkbox" value="2" '+c2+'/>哈啦區發表</td>';
  content +='<td><input name="c3" type="checkbox" value="4" '+c3+'/>小屋發表</td>';
  content +='<td><input name="c4" type="checkbox" value="16" '+c4+'/>他的推薦</td>';
  content +='<td><input name="c5" type="checkbox" value="32" '+c5+'/>實況頻道</td>';
  content +='</tr>';
  content +='</table>';
  content += '</form>';

  egg.mutbox(content, '訂閱動態', {
    '訂閱': function(){
      topNotify_follow2(owner);
    }
  });
}

function topNotify_follow2(owner) {
  var frm = document.forms.notifyfollow;
  var v = 0;
  if( frm.c1.checked ) {
    v = v | frm.c1.value;
  }
  if( frm.c2.checked ) {
    v = v | frm.c2.value;
  }
  if( frm.c3.checked ) {
    v = v | frm.c3.value;
  }
  if( frm.c4.checked ) {
    v = v | frm.c4.value;
  }
  if( frm.c5.checked ) {
    v = v | frm.c5.value;
  }


  $.ajax({
    url: '/ajax/addFollow_AJAX.php',
    method: 'POST',
    param: 'who='+owner+'&v='+v,
    success: function(text){
      $.lightbox.close();
      egg.mutbox(text, '訂閱動態');
    }
  });
  return false;
}

//全站主選單
function BAHAMenuList(dataNo, childNo, pattern){
  /* 第一層選單：依dataNo隸屬的group來決定 */
  /* 第二層選單：看dataNo的child group是否有值 */
  
  /* group[] = [data編號]; */
  /* 第一層選單 */
  var group = [];
      group[1] = [1,2,3,4,6,7,46,8,9];
      group[2] = [10,11,12,13];
      group[3] = [14,15,16,17,18,19,20,21,22,23];
      group[4] = [24,25,26,27,28];
      group[6] = [30,31,32,33,34];
      group[7] = [35,36,37];
      group[8] = [38];
      group[9] = [39];
      group[10] = [41,42];
      group[11] = [43,44];
      group[12] = [45];
      group[46] = [47];
      
  /* data[] = [群組編號,名稱,連結,小孩群編號,關連data編號] */
  /* 關連data編號用來設定tab class位置 */
  var data = [];
      data[0] = [1, 'GNN新聞', 'http://gnn.gamer.com.tw', 0];
      data[1] = [1, 'GNN新聞', 'http://gnn.gamer.com.tw', 0];
      data[2] = [2, '手機遊戲', 'http://gnn.gamer.com.tw/?k=4', 0, 10];
      data[3] = [3, 'PC', 'http://gnn.gamer.com.tw/?k=1', 0, 24];
      data[4] = [4, 'TV 掌機', 'http://gnn.gamer.com.tw/?k=3', 0, 14];
      data[6] = [6, '動漫畫', 'http://gnn.gamer.com.tw/?k=5', 0, 30];
      data[7] = [7, '電玩瘋', 'http://gnn.gamer.com.tw/gamecrazy.php', 0, 35];
      data[8] = [8, '活動展覽', 'http://gnn.gamer.com.tw/?k=11', 0, 38];
      data[9] = [9, '專題報導', 'http://gnn.gamer.com.tw/?k=9', 0, 39];
      data[10] = [2, '手機綜合', 'http://gnn.gamer.com.tw/?k=4', [22,2]];
      data[11] = [2, 'Android', 'http://gnn.gamer.com.tw/?k=4&m=16777216,0', [1,2,3,4,5,6,7,8,10]];
      data[12] = [2, 'iOS', 'http://gnn.gamer.com.tw/?k=4&m=8388608,0', [1,2,3,4,5,6,7,8,10]];
      data[13] = [2, '其他', 'http://gnn.gamer.com.tw/?k=4&p=8', [22]];
      data[14] = [3, 'TV 掌機綜合', 'http://gnn.gamer.com.tw/?k=3', [22,2,20]];
      data[15] = [3, 'PS3', 'http://gnn.gamer.com.tw/?k=3&m=8,0', [1,2,3,4,5,6,7,8,9,20,10]];
      data[16] = [3, 'PS4', 'http://gnn.gamer.com.tw/?k=3&m=0,1', [1,2,3,4,5,6,7,8,9,20,10]];
      data[17] = [3, 'Xbox360', 'http://gnn.gamer.com.tw/?k=3&m=32,0', [1,2,3,4,5,6,7,8,9,20,10]];
      data[18] = [3, 'XboxOne', 'http://gnn.gamer.com.tw/?k=3&m=0,2', [1,2,3,4,5,6,7,8,9,20,10]];
      data[19] = [3, 'WiiU', 'http://gnn.gamer.com.tw/?k=3&m=536870912,0', [1,2,3,4,5,6,7,8,9,20,10]];
      data[20] = [3, 'PSV', 'http://gnn.gamer.com.tw/?k=3&m=1073741824,0', [1,2,3,4,5,6,7,8,9,20,10]];
      data[21] = [3, '3DS', 'http://gnn.gamer.com.tw/?k=3&m=67108864,0', [1,2,3,4,5,6,7,8,9,20,10]];
      data[22] = [3, '大型電玩', 'http://gnn.gamer.com.tw/?k=3&m=8192,0', [1]];
      data[23] = [3, '其他', 'http://gnn.gamer.com.tw/?k=3&p=4', [22]];
      data[24] = [4, 'PC 綜合', 'http://gnn.gamer.com.tw/?k=1', [22,2,20]];
      data[25] = [4, '線上遊戲', 'http://gnn.gamer.com.tw/?k=1&m=1,0', [1,2,3,4,5,6,7,8,20,10]];
      data[26] = [4, '單機遊戲', 'http://gnn.gamer.com.tw/?k=1&m=262144,0', [1,2,3,4,5,6,7,8,9,20,10]];
      data[27] = [4, 'Web', 'http://gnn.gamer.com.tw/?k=1&m=524288,0', [1,2,3,4,5,6,7,8,11,10]];
      data[28] = [4, '其他', 'http://gnn.gamer.com.tw/?k=1&p=1', [22]];
      data[30] = [6, '動漫 綜合', 'http://gnn.gamer.com.tw/?k=5', [22,14]];
      data[31] = [6, '動畫', 'http://gnn.gamer.com.tw/?k=5&t=4', [21,14,15,3,4,5,6,7,8,12,10]];
      data[32] = [6, '漫畫', 'http://gnn.gamer.com.tw/?k=5&t=2', [21,14,3,16,17,5,6,7,18,19,13,10]];
      data[33] = [6, '輕小說', 'http://gnn.gamer.com.tw/?k=5&t=8', [21,14,3,5,6,7,10]];
      data[34] = [6, '其他', 'http://gnn.gamer.com.tw/?k=5&p=16', [22]];
      data[35] = [7, '電玩瘋', 'http://gnn.gamer.com.tw/gamecrazy.php', 0];
      data[36] = [7, 'twitch直播', 'http://gnn.gamer.com.tw/gamecrazy.php?k=12', 0];
      data[37] = [7, 'Youtube直播', 'http://gnn.gamer.com.tw/gamecrazy.php?k=12&gt=Y', 0];
      data[38] = [8, '活動展覽', 'http://gnn.gamer.com.tw/?k=11', [22]];
      data[39] = [9, '專題報導', 'http://gnn.gamer.com.tw/?k=9', [22]];
      data[40] = [0, '{p}', 'http://gnn.gamer.com.tw/?k={k}&m={m}', [1,3,5,7,10]];
      data[41] = [10, '{acg_parent}', 'http://gnn.gamer.com.tw/?k={k}&m={m}'];
      data[42] = [10, '{acg_title}', 'http://acg.gamer.com.tw/acgDetail.php?s={acg_sn}', [23,24,28,29,25,26,27]];
      data[43] = [11, '{acg_parent}', 'http://gnn.gamer.com.tw/?k={k}&t={t}'];
      data[44] = [11, '{acg_title}', 'http://acg.gamer.com.tw/acgDetail.php?s={acg_sn}', [23,24,29,25,26,27]];
      data[45] = [12, '{acg_title}', 'http://acg.gamer.com.tw/acgDetail.php?s={acg_sn}', [30, 28]];
      data[46] = [46, '電競', 'http://gnn.gamer.com.tw/?k=13', 0, 47];
      data[47] = [46, '電競', 'http://gnn.gamer.com.tw/?k=13', [22]];
      

  /* 第二層選單 */
  var child = [];
      child[1] = ['GNN新聞','http://gnn.gamer.com.tw/?k={k}&m={m}', ''];
      child[2] = ['試玩報導','http://gnn.gamer.com.tw/?k=10&m={m}', ''];
      child[3] = ['{menu_title1}','http://acg.gamer.com.tw/index.php?t=1&p={p}', ''];
      child[4] = ['{menu_title2}','http://acg.gamer.com.tw/index.php?t=2&p={p}', ''];
      child[5] = ['特色分類','http://acg.gamer.com.tw/billboard.php?t=1&p={p}', ''];
      child[6] = ['人氣排行','http://acg.gamer.com.tw/billboard.php?t=2&p={p}', ''];
      child[7] = ['評分排行','http://acg.gamer.com.tw/billboard.php?t=3&p={p}', ''];
      child[8] = ['期待排行','http://acg.gamer.com.tw/billboard.php?t=4&p={p}', ''];
      child[9] = ['銷售排行','http://acg.gamer.com.tw/billboard.php?t=7&p={p}', ''];
      child[10] = ['關於','http://acg.gamer.com.tw/wikiIntroPf.php?s={s}', ''];
      child[11] = ['創作大賽作品','http://acg.gamer.com.tw/gameawardList.php', ''];
      child[12] = ['創作大賽作品','http://acg.gamer.com.tw/animeawardList.php', ''];
      child[13] = ['創作大賽作品','http://acg.gamer.com.tw/comicawardList.php', ''];
      child[14] = ['試閱報導','http://gnn.gamer.com.tw/index.php?k=10&t={t}', ''];
      child[15] = ['本季新作','http://acg.gamer.com.tw/quarterly.php', ''];
      child[16] = ['本月已發售','http://acg.gamer.com.tw/billboard.php?p={p}&t=8', ''];
      child[17] = ['本月未發售','http://acg.gamer.com.tw/billboard.php?p={p}&t=9', ''];
      child[18] = ['少年熱銷','http://acg.gamer.com.tw/billboard.php?p={p}&t=5', ''];
      child[19] = ['少女熱銷','http://acg.gamer.com.tw/billboard.php?p={p}&t=6', ''];
      child[20] = ['商城', '{buyUrlNo}', 'target="_blank"'];
      child[21] = ['GNN新聞','http://gnn.gamer.com.tw/?k={k}&t={t}', ''];
      child[22] = ['GNN新聞','http://gnn.gamer.com.tw/?k={k}&p={p}', ''];
      child[23] = ['作品資料', 'http://acg.gamer.com.tw/acgDetail.php?s={acg_sn}', ''];
      child[24] = ['圖片影片', 'http://acg.gamer.com.tw/picList.php?s={acg_sn}', ''];
      child[25] = ['玩家心得', 'http://acg.gamer.com.tw/commentList.php?acg_sn={acg_sn}', ''];
      child[26] = ['{acg_playMember}', 'http://acg.gamer.com.tw/acgPlayList.php?s={acg_sn}', ''];
      child[27] = ['{acg_hala}', 'http://forum.gamer.com.tw/searchb.php?dc_c1={acg_dcc1}&dc_c2={acg_dcc2}&dc_type={t}&dc_machine={m}', 'target="_blank"'];
      child[28] = ['{acg_wiki}', 'http://acg.gamer.com.tw/wikimenu.php?s={acg_sn}', ''];
      child[29] = ['公會社團', 'http://acg.gamer.com.tw/guildList.php?n={acg_sn}', ''];
      child[30] = ['名詞資料', 'http://acg.gamer.com.tw/acgDetail.php?s={acg_sn}', ''];

  if( typeof(data[dataNo]) !== 'undefined' ){
    var menuhtml_m = '';
    var menuhtml_s = '';
    
    var groupNo = data[dataNo][0];
    if( typeof(group[groupNo]) !== 'undefined' ){
      //HOME
      if( (1 <= groupNo && 9 >= groupNo) || 46 == groupNo ){
        menuhtml_m += '<li><a href="http://www.gamer.com.tw"><i class="fa fa-home"></i></a></li>';
      }

      var rNo = (typeof(data[dataNo][4]) !== 'undefined') ? data[dataNo][4] : 0;

      for(var i=0; i<group[groupNo].length; i++){
        if( dataNo==group[groupNo][i] ){ classInfo = dataNo; }

        data[group[groupNo][i]][1] = BAHAMenu_replace(data[group[groupNo][i]][1], pattern, dataNo);
        if( data[group[groupNo][i]][1] ){
          menuhtml_m += '<li><a href="'+BAHAMenu_replace(data[group[groupNo][i]][2], pattern, dataNo)+'"'+((dataNo==group[groupNo][i] || rNo==group[groupNo][i])?' class="now"':'')+'>'+data[group[groupNo][i]][1]+'</a></li>';
        }
      }
    }
    else{
      //舊平台
      menuhtml_m += '<li><a href="http://acg.gamer.com.tw/more.php">所有平台</a></li>';

      if( childNo ){
        menuhtml_m += '<li><a href="'+BAHAMenu_replace(data[dataNo][2], pattern, dataNo)+'" class="now">'+BAHAMenu_replace(data[dataNo][1], pattern, dataNo)+'</a></li>';
      }
    }

    //有child
    if( data[dataNo][3].length && childNo ){
      var childList = data[dataNo][3];
      var childdata = '';

      for(var j=0; j<childList.length; j++){
        child[childList[j]][0] = BAHAMenu_replace(child[childList[j]][0], pattern, dataNo);
        
        if( child[childList[j]][1] ){
          child[childList[j]][1] = BAHAMenu_replace(child[childList[j]][1], pattern, dataNo);

          if( 20 == childList[j] ){
            if( parseInt(child[childList[j]][1], 10) ){
              child[childList[j]][1] = 'http://buy.gamer.com.tw/indexList.php?gc1='+child[childList[j]][1];
            }
            else{
              child[childList[j]][1] = 'http://buy.gamer.com.tw/index.php';
            }
          }

          childdata = '<li><a href="'+child[childList[j]][1]+'"'+((childNo==childList[j])? ' class="now" ' : ' ')+child[childList[j]][2]+'>'+child[childList[j]][0]+'</a></li>';
        }
        else{
          childdata = child[childList[j]][0];
        }
          
        menuhtml_s += childdata;
      }
    }

    document.write('<ul class="BH-menuA">'+menuhtml_m+'</ul>');
    if( menuhtml_s ){ document.write('<ul class="BH-menuB">'+menuhtml_s+'</ul>'); }
  }else{
    document.write('<ul class="BH-menuA"><li><a href="javascript:void(0);" onClick="BAHAMenu_nxtpage(); return false;"><img src="http://i2.bahamut.com.tw/spacer.gif" class="IMG-E73">回上頁</a></li></ul>');
  }
}

//轉換參數
function BAHAMenu_replace(str, pattern, dataNo){
  var patternj = [];
      patternj[10] = 'k=4<>p=';
      patternj[13] = 'k=4<>p=8';
      patternj[14] = 'k=3<>p=';
      patternj[23] = 'k=3<>p=4';
      patternj[24] = 'k=1<>p=<>buyUrlNo=3';
      patternj[28] = 'k=1<>p=1';
      patternj[30] = 'k=5<>p=';
      patternj[34] = 'k=5<>p=16';
      patternj[38] = 'k=11<>p=';
      patternj[39] = 'k=9<>p=';
      patternj[47] = 'k=13<>p=';

  if( typeof(patternj[dataNo]) !== 'undefined' ){ pattern = patternj[dataNo]+'<>'+pattern; }

  var listR1, listR2, j;

  listR1 = pattern.split('<>');
  for(j=0; j<listR1.length; j++){
    listR2 = listR1[j].split('=');
    str = str.replace('{'+listR2[0]+'}', decodeURIComponent(listR2[1]));
  }
  
  return str;
}

function BAHAMenu_nxtpage(){
  if( egg.browser.ie || egg.browser.ie11 || egg.browser.opera ){
    var historystart = 0;
  }else{
    var historystart = 1;
  }

  if( historystart < history.length ){
    history.back();
  }else{
    location.href = 'http://www.gamer.com.tw';
  }
}
